## org.apache.poi.xslf.model.geom
Class ExpressionParser

    java.lang.Object
      org.apache.poi.xslf.model.geom.ExpressionParser

    public class ExpressionParser

extends java.lang.Object

A simple regexp-based parser of shape guide formulas in DrawingML

Author:
  Yegor Kozlov

Constructor Summary
`ExpressionParser()`

Method Summary
`static Expression` `parse(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionParser

    public ExpressionParser()

Method Detail

### parse

    public static Expression parse(java.lang.String str)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.